### Enumeration

# Shumate State

#### Declaration

    enum Shumate.State

#### Description [src]

Tile loading state.

#### Members

Name | Description
--- | ---
`SHUMATE_STATE_NONE` | Initial or undefined state.
`SHUMATE_STATE_LOADING` | Tile is loading.
`SHUMATE_STATE_LOADED` | Tile is loaded but not yet displayed.
`SHUMATE_STATE_DONE` | Tile loading finished. Also used to inform map sources that tile loading has been cancelled.